Type to search.

Create or update a pipeline

  • PUT /_ingest/pipeline/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 5.0 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Changes made using this API take effect immediately.

Read the reference documentation

Path parameters

id string required

ID of the ingest pipeline to create or update.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
if_version number

Required version for optimistic concurrency control for pipeline updates

Request body

_meta object

Optional metadata about the ingest pipeline. May have any contents. This map is not automatically generated by Elasticsearch.

description string

Description of the ingest pipeline.

on_failure {} Processor[]

Processors to run immediately after a processor failure. Each processor supports a processor-level on_failure value. If a processor without an on_failure value fails, Elasticsearch uses this pipeline-level parameter as a fallback. The processors in this parameter run sequentially in the order specified. Elasticsearch will not attempt to run the pipeline's remaining processors.

processors {} Processor[]

Processors used to perform transformations on documents before indexing. Processors run sequentially in the order specified.

version number

Version number used by external systems to track ingest pipelines. This parameter is intended for external systems only. Elasticsearch does not use or validate pipeline version numbers.

deprecated boolean · default: false

Marks this ingest pipeline as deprecated. When a deprecated ingest pipeline is referenced as the default or final pipeline when creating or updating a non-deprecated index template, Elasticsearch will emit a deprecation warning.

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.